package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="EmSbcnp对象", description="")
public class EmSbcnp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "跨位")
    private String kw;

    @ApiModelProperty(value = "工序")
    private String gx;

    @ApiModelProperty(value = "产能单位")
    private String cndw;

    @ApiModelProperty(value = "白班最小产能")
    private Double zxcnBb;

    @ApiModelProperty(value = "白班最大产能")
    private Double zdcnBb;

    @ApiModelProperty(value = "夜班最小产能")
    private Double zxcnYb;

    @ApiModelProperty(value = "夜班最大产能")
    private Double zdcnYb;

    @ApiModelProperty(value = "合计")
    private Double cnhj;

    @ApiModelProperty(value = "划线白班最小产能")
    private Double zxcnBb1;

    @ApiModelProperty(value = "划线白班最大产能")
    private Double zdcnBb1;

    @ApiModelProperty(value = "划线夜班最小产能")
    private Double zxcnYb1;

    @ApiModelProperty(value = "划线夜班最大产能")
    private Double zdcnYb1;

    @ApiModelProperty(value = "合计")
    private Double cnhj1;

    @ApiModelProperty(value = "坡口白班最小产能")
    private Double zxcnBb2;

    @ApiModelProperty(value = "坡口白班最大产能")
    private Double zdcnBb2;

    @ApiModelProperty(value = "坡口夜班最小产能")
    private Double zxcnYb2;

    @ApiModelProperty(value = "坡口夜班最大产能")
    private Double zdcnYb2;

    @ApiModelProperty(value = "坡口合计")
    private Double cnhj2;

    @ApiModelProperty(value = "坡口产能单位")
    private String cndw2;

    @ApiModelProperty(value = "打磨白班最小产能")
    private Double zxcnBb3;

    @ApiModelProperty(value = "打磨白班最大产能")
    private Double zdcnBb3;

    @ApiModelProperty(value = "打磨夜班最小产能")
    private Double zxcnYb3;

    @ApiModelProperty(value = "打磨夜班最大产能")
    private Double zdcnYb3;

    @ApiModelProperty(value = "打磨合计")
    private Double cnhj3;

    @ApiModelProperty(value = "打磨产能单位")
    private String cndw3;

    @ApiModelProperty(value = "曲白班最小产能")
    private Double zxcnBb4;

    @ApiModelProperty(value = "曲白班最大产能")
    private Double zdcnBb4;

    @ApiModelProperty(value = "曲夜班最小产能")
    private Double zxcnYb4;

    @ApiModelProperty(value = "曲夜班最大产能")
    private Double zdcnYb4;

    @ApiModelProperty(value = "曲合计")
    private Double cnhj4;

    @ApiModelProperty(value = "曲产能单位")
    private String cndw4;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
